Skip to main content

Nexus API

List account transactions created between two dates

This endpoint allows you to list transactions that were created between two dates for a specific account. Dates should be ISO 8601 formatted (2013-10-25). For paginated data resulting in multiple pages, each page will need to be requested separately to retrieve the data on that page. The total_pages field returns an integer representing the total pages to be requested.

GET
/accounts/{account_guid}/transactions/created_between/{start_date}/{end_date}

Path Parameters

FieldRequiredType

account_guid

The unique identifier for the account that is MX-defined.

Required
String

start_date

The earliest date from which you need transaction data.

Required
String

end_date

The latest date from which you need transaction data.

Required
String

Query Parameters

FieldRequiredType

page

Results are returned in paginated sets, this is the page of the results you would like to view. Defaults to page 1 if no page is specified.

Optional
Integer

records_per_page

Requests to all list endpoints that return multiple transactions (e.g. list transactions) should specify the desired records_per_page. The supported range is from 10 to 1000. If the records_per_page parameter is not specified or is outside this range, a default of 25 records per page will be used.

Optional
Integer
Loading...